%define teventmajor	0
%define epoch 1
%define beta beta8
%define official 0

# Unofficial builds are extracted from the samba4 source tarball using
# cd samba-4.$VERSION
# mkdir -p tevent-%version/lib
# cp -a lib/tevent/* tevent-%version/
# cp -a lib/talloc tevent-%version/lib/
# cp -a lib/replace tevent-%version/lib/
# cp -a buildtools tevent-%version
# tar cf tevent-%version.tar tevent-%version

%define libtevent %mklibname tevent %teventmajor
%define teventdevel %mklibname -d tevent
%define check_sig() export GNUPGHOME=%{_tmppath}/rpm-gpghome \
if [ -d "$GNUPGHOME" ] \
then echo "Error, GNUPGHOME $GNUPGHOME exists, remove it and try again"; exit 1 \
fi \
install -d -m700 $GNUPGHOME \
gpg --import %{1} \
gpg --trust-model always --verify %{2} \
rm -Rf $GNUPGHOME \

Name: tevent
URL: http://tevent.samba.org/
License: GPLv3
Version: 0.9.17
# Shipped in samba4 without internal version:
Epoch: %epoch
%if "%beta" != ""
Release: 0.%beta.1
%else
Release: 1
%endif
Group: System/Libraries
Summary: Samba4's event management library
Source0: http://samba.org/ftp/tevent/tevent-%{version}.tar.gz
%if %official
Source1: http://samba.org/ftp/tevent/tevent-%{version}.tar.asc
Source2: samba-bugs.asc
%endif
Patch1: samba4-fix-tevent-link-order.patch
BuildRequires: talloc-devel >= 2.0.6 python-talloc pkgconfig(pytalloc-util) >= 2.0.6

%description
Tevent is an event system based on the talloc memory management library. It is
the core event system used in Samba. Tevent has support for many event types,
including timers, signals, and the classic file descriptor events. Tevent also
provide helpers to deal with asynchronous code providing the tevent_req (Tevent
Request) functions. 

%package -n %libtevent
Group: System/Libraries
Summary: Samba4's event management library

%description -n %libtevent
Samba4's event management library

%package -n %teventdevel
Group: Development/C
Summary: Development files for Samba4's event management library
Provides: tevent-devel = %{epoch}:%{version}-%{release}
Requires: %libtevent = %{epoch}:%{version}-%{release}

%description -n %teventdevel
Development files for Samba4's event management library

%package -n python-tevent
Group: Development/Python
Summary: Python module for Samba4's event management library

%description -n python-tevent
Python module for Samba4's event management library

%prep
%if %official
VERIFYSOURCE=%{SOURCE0}
VERIFYSOURCE=${VERIFYSOURCE%%.gz}
gzip -dc %{SOURCE0} > $VERIFYSOURCE

%check_sig %{SOURCE2} %{SOURCE1} $VERIFYSOURCE

rm -f $VERIFYSOURCE
%endif

%setup -q
#patch1 -p3 -b .linkorder

%build
export PYTHONDIR=%{py_platsitedir}
%configure2_5x
%make

%install
%makeinstall_std

%files -n %libtevent
%{_libdir}/libtevent.so.%{teventmajor}*

%files -n %teventdevel
%{_libdir}/libtevent.so
%{_includedir}/tevent.h
#%{_includedir}/tevent_internal.h
%{_libdir}/pkgconfig/tevent.pc

%files -n python-tevent
%{py_platsitedir}/_tevent.so
%{py_platsitedir}/tevent.py


%changelog
* Sun Sep 30 2012 Alexander Khrukin <akhrukin@mandriva.org> 1:0.9.17-0.beta8.1
+ Revision: 817995
- version update 0.9.17

* Wed Sep 12 2012 Bernhard Rosenkraenzer <bero@bero.eu> 1:0.9.16-0.beta8.1
+ Revision: 816825
- Update to beta8
- Beta 6

* Sat Aug 04 2012 Bernhard Rosenkraenzer <bero@bero.eu> 1:0.9.16-0.beta5.1
+ Revision: 811853
- Update to 0.9.16-beta5 (as included in samba4) to make OpenChange happy

* Mon Feb 13 2012 Alexander Khrukin <akhrukin@mandriva.org> 1:0.9.15-1
+ Revision: 773795
- version update 0.9.15

* Thu Dec 22 2011 Buchan Milne <bgmilne@mandriva.org> 1:0.9.14-1
+ Revision: 744435
- New version 0.9.14
- BR talloc etc. >= 2.0.6
- Add signature verification

* Thu Jul 07 2011 Buchan Milne <bgmilne@mandriva.org> 1:0.9.12-2
+ Revision: 689110
- rebuild

* Tue Jun 28 2011 Buchan Milne <bgmilne@mandriva.org> 1:0.9.12-1
+ Revision: 687773
- New version 0.9.12

* Thu May 05 2011 Buchan Milne <bgmilne@mandriva.org> 1:0.9.11-1
+ Revision: 669059
- update to new version 0.9.11

* Mon May 02 2011 Buchan Milne <bgmilne@mandriva.org> 1:0.9.10-1
+ Revision: 661923
- Help waf find the right place for python modules on x86_64
- New version 0.9.10

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.9.8-3mdv2011.0
+ Revision: 607991
- rebuild

* Fri Mar 05 2010 Buchan Milne <bgmilne@mandriva.org> 1:0.9.8-2mdv2010.1
+ Revision: 514795
- Rebuild for newer talloc

* Wed Feb 24 2010 Buchan Milne <bgmilne@mandriva.org> 1:0.9.8-1mdv2010.1
+ Revision: 510756
- import tevent

